#! /bin/sh

PACKAGE_NAME="printer-driver-deepinwine-hpm252"
PACKAGE_VERSION="0.1"
PRINTER_NAME="HP Color LaserJet Pro M252 PCL.6"

CONTAINER_PATH="$HOME/.deepinwine/$PACKAGE_NAME"
OPT_PATH="/opt/deepinwine/printer_drv/$PACKAGE_NAME"
WINEBIN="deepin-wine"
REGDIR="reg"
FILEDIR="files"

if [ -z "$PACKAGE_NAME" -o ! -d "$OPT_PATH" ]; then
    exit 1
fi

if [ -d "$CONTAINER_PATH" ]; then
    # compare version
    if [ -f "$CONTAINER_PATH/VERSION" ] && [ "$(cat "$CONTAINER_PATH/VERSION")" = "$PACKAGE_VERSION" ]; then
        exit 0
    fi

    rm -rf "$CONTAINER_PATH"
fi

if [ -d "$OPT_PATH/$REGDIR" ]; then
    for file in $OPT_PATH/$REGDIR/*; do
        WINEPREFIX=$CONTAINER_PATH $WINEBIN regedit $file
    done
fi

if [ -d "$OPT_PATH/$FILEDIR" ]; then
    for file in `find "$OPT_PATH/$FILEDIR" -type f`; do
        path="$CONTAINER_PATH/drive_c/${file#*$FILEDIR/}"
        dir="${path%/*}"
        mkdir -p "$dir"
        cp "$file" "$path"
    done
fi

WININI="$CONTAINER_PATH/drive_c/windows/win.ini"
if [ -f "$WININI" ]; then
    sed -ie "/^\[devices\]/a $PRINTER_NAME=winerp.drv,USB" "$WININI"
    sed -ie "/^\[PrinterPorts\]/a $PRINTER_NAME=winerp.drv,USB,15,45" "$WININI"
fi

echo "$PACKAGE_VERSION" > "$CONTAINER_PATH/VERSION"
